using System;

/// @author vesal
/// @version 29.9.2013
/// <summary>
/// Muutetaan taulukon lukuja
/// </summary>
public class Tauno4
{
    /// <summary>
    /// Muutetaan taulukon lukuja aliohjelmilla
    /// </summary>
    public static void Main()
    {
        int[] t1 = { 5, 4, 6, 2, 9, 1 };
        LisaaTaulukkoon(t1, 5);
        Console.WriteLine(String.Join(", ", t1));

        int[] t2 = { 5, 4, 6, 2, 9, 1 };
        SummaaPerattaiset(t2);
        Console.WriteLine(String.Join(", ", t2));
    }


    /// <summary>
    /// Lisää jokaiseen taulukon alkioon arvon lisattava
    /// </summary>
    /// <param name="t">taulukko jota muutetaan</param>
    /// <param name="lisattava">arvo joka lisätään jokaiseen alkioon</param>
    /// <example>
    /// <pre name="test">
    ///    int[] t = { 5, 4, 6, 2, 9, 1 };
    ///    LisaaTaulukkoon(t, 5);
    ///    String.Join(" ",t) === "10 9 11 7 14 6";
    ///    LisaaTaulukkoon(t, -1);
    ///    String.Join(" ",t) === "9 8 10 6 13 5";
    /// </pre>
    /// </example>
    public static void LisaaTaulukkoon(int[] t, int lisattava)
    {
        // TODO: Kopioi tähän Taunolla tekemäsi koodi.  Jätä pois rivi int lisattava = 5;
    }


    /// <summary>
    /// Laskee yhteen taulukon perättäiset luvut pareittain
    /// ja laittaa tuloksen parilliseen (0,2,4) paikkaan. Pariton (1,3,5) paikka nollataan.
    /// Taulukon summa pysyy samana.
    /// </summary>
    /// <param name="t">taulukko jota muutetaan</param>
    /// <example>
    /// <pre name="test">
    ///    int[] t = { 5, 4, 6, 2, 9, 1 };
    ///    int summa = Tauno4.Summa(t);
    ///    
    ///    SummaaPerattaiset(t);
    ///    String.Join(" ",t) === "9 0 8 0 10 0";
    ///    Summa(t) === summa;
    ///    
    ///    SummaaPerattaiset(t);
    ///    String.Join(" ",t) === "9 0 8 0 10 0";
    ///    
    ///    int[] t2 = { 0, 4, 0, 2, 0, 1 };
    ///    SummaaPerattaiset(t2);
    ///    String.Join(" ",t2) === "4 0 2 0 1 0";
    /// </pre>
    /// </example>
    public static void SummaaPerattaiset(int[] t)
    {
        // TODO: Kopioi tähän Taunolla tekemäsi koodi
    }


    // ReSharper disable once ForCanBeConvertedToForeach
    /// <summary>
    /// Laskee yhteen taulukon alkiot
    /// </summary>
    /// <param name="t">taulukko jonka arvot summataan</param>
    /// <example>
    /// <pre name="test">
    ///    Summa(new int[]{ 5, 4, 6, 2, 9, 1 }) === 27;
    ///    Summa(new int[]{ 1, 2, 3}) === 6;
    /// </pre>
    /// </example>
    public static int Summa(int[] t)
    {
        int summa = 0;
        for (int i = 0; i < t.Length; i++)
            summa += t[i];
        return summa;
    }
}
