using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;

/// @author vesal
/// @version 15.10.2013
/// <summary>
/// Lasketaan yhden solun naapurit TYHMÄSTI
/// </summary>
public class Tauno62
{
    /// <summary>
    /// Lasketaan yhden solun naapurit 
    /// </summary>
    public static void Main()
    {
        int[,] alkuSukupolvi = {
               { 1,0,1,1 },
               { 0,1,1,0 },
               { 1,0,0,0 },
               { 1,0,0,1 }
             };
        int naapureita = LaskeNaapurit(alkuSukupolvi, 1, 2);
        Console.WriteLine(naapureita);

    }


    /// <summary>
    /// Laskee TYHMÄSTI VAIN paikan [1,2] naapurit.
    /// Taulukossa oletetaan olevan vain 0 tai 1 arvoja 
    /// </summary>
    /// <param name="sukupolvi">mistä taulukosta lasketaan</param>
    /// <param name="iy">minkä rivin naapurit</param>
    /// <param name="ix">minkä sarakkeen naapurit</param>
    /// <returns></returns>
    /// <example>
    /// <pre name="test">
    ///   int[,] alkuSukupolvi = {
    ///              { 1,0,1,1 },
    ///              { 0,1,1,0 },
    ///              { 1,0,0,0 },
    ///              { 1,0,0,1 }
    ///            };
    ///    LaskeNaapurit(alkuSukupolvi,1,2) === 3;
    /// </pre>
    /// </example>
    public static int LaskeNaapurit(int[,] sukupolvi, int iy, int ix)
    {
        /// TODO: kirjoita tähän TYHMÄ vakioita käyttävät koodi, joka laskee
        /// TODO: paikan [1,2] naapurit
        int n = 0;
        n += sukupolvi[0, 1];
        /// TODO: Täydennä loput rivit
        return n;
    }

}
